summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Robby Workman2011-12-20 12:27:24 +0100
committer Robby Workman2011-12-22 07:02:52 +0100
commitc5ee6ec05fe53d5dc6fa0aff27044329f9f88f1a (patch)
treec2b9caf013a28820ce45b4e1d9701d753719afbe /desktop
parent48b4a977160c8e3cea7a7f8e72fd4aceda433a13 (diff)
downloadslackbuilds-c5ee6ec05fe53d5dc6fa0aff27044329f9f88f1a.tar.gz
desktop/razorqt: Added (qt-based desktop environment)
Note that if anyone else out there likes this and uses it on a daily basis, I'll be more than happy to let you maintain this build script. I don't plan to actually use razorqt (I like xfce), but this looked too useful to not have available in Slackware --rworkman Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/razorqt/README9
-rw-r--r--desktop/razorqt/doinst.sh9
-rw-r--r--desktop/razorqt/profile.d/razorqt.csh6
-rw-r--r--desktop/razorqt/profile.d/razorqt.sh7
-rw-r--r--desktop/razorqt/razorqt.SlackBuild111
-rw-r--r--desktop/razorqt/razorqt.info10
-rw-r--r--desktop/razorqt/slack-desc19
-rw-r--r--desktop/razorqt/xinit/xinitrc.razorqt19
8 files changed, 190 insertions, 0 deletions
diff --git a/desktop/razorqt/README b/desktop/razorqt/README
new file mode 100644
index 0000000000..8711f97195
--- /dev/null
+++ b/desktop/razorqt/README
@@ -0,0 +1,9 @@
+Razorqt is an advanced, easy-to-use, and fast desktop environment
+based on Qt technologies. It has been tailored for users who value
+simplicity, speed, and intuitive interface. Unlike desktop environments,
+Razorqt also works fine with weak machines.
+
+Razorqt does not include a window manager. While it can use fvwm2 or
+kwin (included with Slackware), openbox is most often used by the
+upstream developers (and the one found most appealing here), so it is
+strongly recommended.
diff --git a/desktop/razorqt/doinst.sh b/desktop/razorqt/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/desktop/razorqt/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/razorqt/profile.d/razorqt.csh b/desktop/razorqt/profile.d/razorqt.csh
new file mode 100644
index 0000000000..8a9d065497
--- /dev/null
+++ b/desktop/razorqt/profile.d/razorqt.csh
@@ -0,0 +1,6 @@
+#!/bin/csh
+if ( $?XDG_CONFIG_DIRS ) then
+ setenv XDG_CONFIG_DIRS ${XDG_CONFIG_DIRS}:/etc/razorqt/xdg
+else
+ setenv XDG_CONFIG_DIRS /etc/xdg:/etc/razorqt/xdg
+endif
diff --git a/desktop/razorqt/profile.d/razorqt.sh b/desktop/razorqt/profile.d/razorqt.sh
new file mode 100644
index 0000000000..e35a46a1bc
--- /dev/null
+++ b/desktop/razorqt/profile.d/razorqt.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+if [ ! "$XDG_CONFIG_DIRS" = "" ]; then
+ XDG_CONFIG_DIRS=$XDG_CONFIG_DIRS:/etc/razorqt/xdg
+else
+ XDG_CONFIG_DIRS=/etc/xdg:/etc/razorqt/xdg
+fi
+export XDG_CONFIG_DIRS
diff --git a/desktop/razorqt/razorqt.SlackBuild b/desktop/razorqt/razorqt.SlackBuild
new file mode 100644
index 0000000000..8fdbaffbd8
--- /dev/null
+++ b/desktop/razorqt/razorqt.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for razorqt
+
+# Copyright 2011 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Note that if anyone else out there likes this and uses it on a daily basis,
+# I'll be more than happy to let you maintain this build script. I don't
+# plan to actually use razorqt (I like xfce), but this looked too useful to
+# not have available in Slackware --rworkman
+
+PRGNAM=razorqt
+VERSION=${VERSION:-0.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX:PATH="/usr" \
+ -DLIB_SUFFIX:STRING="$LIBDIRSUFFIX" \
+ -DRAZOR_CONFIG_DIR:STRING=".config/razorqt"
+
+make VERBOSE=1
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/etc/razorqt
+mv $PKG/etc/xdg $PKG/etc/razorqt
+
+mkdir -p $PKG/etc/X11/xinit
+cat $CWD/xinit/xinitrc.razorqt > $PKG/etc/X11/xinit/xinitrc.razorqt
+chmod 0755 $PKG/etc/X11/xinit/xinitrc.razorqt
+
+mkdir -p $PKG/etc/profile.d
+cat $CWD/profile.d/razorqt.sh > $PKG/etc/profile.d/razorqt.sh
+cat $CWD/profile.d/razorqt.csh > $PKG/etc/profile.d/razorqt.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/razorqt/razorqt.info b/desktop/razorqt/razorqt.info
new file mode 100644
index 0000000000..094036a4de
--- /dev/null
+++ b/desktop/razorqt/razorqt.info
@@ -0,0 +1,10 @@
+PRGNAM="razorqt"
+VERSION="0.4.0"
+HOMEPAGE="http://razor-qt.org/"
+DOWNLOAD="http://razor-qt.org/install/razorqt-0.4.0.tar.bz2"
+MD5SUM="3a38bfa08edb7d5d8abc3898dc0bb050"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="Niels Horn"
diff --git a/desktop/razorqt/slack-desc b/desktop/razorqt/slack-desc
new file mode 100644
index 0000000000..2e37db4b20
--- /dev/null
+++ b/desktop/razorqt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+razorqt: Razor-qt (qt-based desktop environment)
+razorqt:
+razorqt: Razor-qt is an advanced, easy-to-use, and fast desktop environment
+razorqt: based on Qt technologies. It has been tailored for users who value
+razorqt: simplicity, speed, and intuitive interface.
+razorqt:
+razorqt: Unlike desktop environments, Razor-qt also works fine with weak
+razorqt: machines.
+razorqt:
+razorqt: Homepage: http://razor-qt.org/
+razorqt:
diff --git a/desktop/razorqt/xinit/xinitrc.razorqt b/desktop/razorqt/xinit/xinitrc.razorqt
new file mode 100644
index 0000000000..407dca7edf
--- /dev/null
+++ b/desktop/razorqt/xinit/xinitrc.razorqt
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# Merge in defaults and keymaps
+[ -f $sysresources ] && /usr/bin/xrdb -merge $sysresources
+[ -f $sysmodmap ] && /usr/bin/xmodmap $sysmodmap
+[ -f $userresources ] && /usr/bin/xrdb -merge $userresources
+[ -f $usermodmap ] && /usr/bin/xmodmap $usermodmap
+
+if [ -z "$XDG_SESSION_COOKIE" -a -x /usr/bin/ck-launch-session ]; then
+ ck-launch-session razor-session
+else
+ exec razor-session
+fi
+